Page MenuHomePhabricator

Special:MergeHistory does not merge watchlists
Closed, ResolvedPublic

Description

Hello. Could you please enable merging source page watchlist into the target one in using Special:MergeHistory?
Thank you.

Event Timeline

IKhitron created this task.Oct 22 2015, 3:50 PM
IKhitron raised the priority of this task from to Needs Triage.
IKhitron updated the task description. (Show Details)
IKhitron added subscribers: IKhitron, Kipod, eranroz.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 22 2015, 3:50 PM
Glaisher added a subscriber: Glaisher.

IIRC, this is also the behavior for Special:Movepage too. If we do this, then we should also change it for Movepage as well.

I don't think so. Moving page always merges source watchlist into target one for me.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 7 2016, 7:31 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptApr 8 2020, 4:47 PM
Ammarpad closed this task as Resolved.Sep 30 2020, 1:38 AM
Ammarpad added a subscriber: Ammarpad.

Watchlist entries are duplicated not sure whether it was added after this task or not though.